Package org.duckdb

# Class QueryProgress

java.lang.Object
org.duckdb.QueryProgress

public class QueryProgress extends Object

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`double`
`getPercentage()`
`long`
`getRowsProcessed()`
`long`
`getTotalRowsToProcess()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getPercentage

public double getPercentage()

### getRowsProcessed

public long getRowsProcessed()

### getTotalRowsToProcess

public long getTotalRowsToProcess()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`